package J20250730.demo02_runnable;

/**
 * @author WanJl
 * @version 1.0
 * @title Main
 * @description
 * @create 2025/7/30
 */
public class Main {
    public static void main(String[] args) {
        //程序运行，到结束，一共启动了多少个线程？
        Penguin p=new Penguin();
        Thread t1=new Thread(p,"飞机");
        Thread t2=new Thread(p,"大炮");

        t1.start();
        t2.start();
        //输出当前线程的线程名
        System.out.println("当前执行的线程名："+Thread.currentThread().getName());
    }
}
